package com.njcn.mq.template;

import com.google.gson.Gson;
import com.njcn.middle.rocket.domain.BaseMessage;
import com.njcn.middle.rocket.template.RocketMQEnhanceTemplate;
import com.njcn.mq.constant.BusinessResource;
import com.njcn.mq.constant.BusinessTopic;
import com.njcn.mq.message.RealDataMessage;
import org.apache.rocketmq.client.producer.SendResult;
import org.apache.rocketmq.spring.core.RocketMQTemplate;
import org.springframework.stereotype.Component;

/**
 * 类的介绍：实时数据模板
 *
 * @author xuyang
 * @version 1.0.0
 * @createTime 2023/8/11 15:28
 */
@Component
public class RealDataMessageTemplate extends RocketMQEnhanceTemplate {

    public RealDataMessageTemplate(RocketMQTemplate template) {
        super(template);
    }

    public SendResult sendMember(RealDataMessage realDataMessage,String tag) {
        BaseMessage baseMessage = new BaseMessage();
        baseMessage.setSource(BusinessResource.WEB_RESOURCE);
        baseMessage.setMessageBody(new Gson().toJson(realDataMessage));
        return send(BusinessTopic.CLD_ASK_REAL_DATA_TOPIC,tag,baseMessage);
    }
}
